Bug 26336 - Cannot import items if items ignored when staging
Summary: Cannot import items if items ignored when staging
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-01 13:10 UTC by Nick Clemens
Modified: 2020-12-17 13:55 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.01, 20.05.07


Attachments
Bug 26336: Disable 'Item processing' dropdown if no item (1.61 KB, patch)
2020-09-01 13:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26336: Add hint before and remove select after staging with no items (2.04 KB, patch)
2020-09-01 16:37 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 26336: Disable 'Item processing' dropdown if no item (1.66 KB, patch)
2020-11-29 12:09 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 26336: Add hint before and remove select after staging with no items (2.08 KB, patch)
2020-11-29 12:09 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 26336: Disable 'Item processing' dropdown if no item (1.72 KB, patch)
2020-12-01 11:21 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 26336: Add hint before and remove select after staging with no items (2.15 KB, patch)
2020-12-01 11:21 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2020-09-01 13:10:56 UTC
When staging marc records you have the option to process or ignore items.

If you choose to ignore you can change the option after staging, however, items are not processed unless they are parsed in initial staging

To test:
0 - Check the count of import_items
    SELECT COUNT(*) FROM import_items;
1 - Import a marc file with items , process the items
2 - Check the count of import items, it has increased
3 - Stage the file again, do not process items
4 - Count of import_items has not increased
5 - Manage the stage batch, process items and reapply
6 - Check the count of import_items, no change
7 - Import the file, no items are processed
Comment 1 Jonathan Druart 2020-09-01 13:49:51 UTC
Created attachment 109434 [details] [review]
Bug 26336: Disable 'Item processing' dropdown if no item

If there is no item to process and they have been ignored during the
stage step, we should not let the user modify the dropdown value

Test plan:
0 - Check the count of import_items
    SELECT COUNT(*) FROM import_items;
1 - Import a marc file with items , process the items
2 - Check the count of import items, it has increased
3 - Stage the file again, do not process items
4 - Count of import_items has not increased
5 - Manage the stage batch
Confirm that you cannot modify the "Item processing" value
Comment 2 Jonathan Druart 2020-09-01 13:50:09 UTC
Is that what you are looking for?
Comment 3 Nick Clemens 2020-09-01 16:37:08 UTC
Created attachment 109445 [details] [review]
Bug 26336: Add hint before and remove select after staging with no items
Comment 4 Victor Grousset/tuxayo 2020-11-29 12:09:14 UTC
Created attachment 114052 [details] [review]
Bug 26336: Disable 'Item processing' dropdown if no item

If there is no item to process and they have been ignored during the
stage step, we should not let the user modify the dropdown value

Test plan:
0 - Check the count of import_items
    SELECT COUNT(*) FROM import_items;
1 - Import a marc file with items , process the items
2 - Check the count of import items, it has increased
3 - Stage the file again, do not process items
4 - Count of import_items has not increased
5 - Manage the stage batch
Confirm that you cannot modify the "Item processing" value

Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 5 Victor Grousset/tuxayo 2020-11-29 12:09:18 UTC
Created attachment 114053 [details] [review]
Bug 26336: Add hint before and remove select after staging with no items

Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 6 Nick Clemens 2020-12-01 11:21:12 UTC
Created attachment 114065 [details] [review]
Bug 26336: Disable 'Item processing' dropdown if no item

If there is no item to process and they have been ignored during the
stage step, we should not let the user modify the dropdown value

Test plan:
0 - Check the count of import_items
    SELECT COUNT(*) FROM import_items;
1 - Import a marc file with items , process the items
2 - Check the count of import items, it has increased
3 - Stage the file again, do not process items
4 - Count of import_items has not increased
5 - Manage the stage batch
Confirm that you cannot modify the "Item processing" value

Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 7 Nick Clemens 2020-12-01 11:21:15 UTC
Created attachment 114066 [details] [review]
Bug 26336: Add hint before and remove select after staging with no items

Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 8 Jonathan Druart 2020-12-04 16:04:45 UTC Comment hidden (obsolete)
Comment 9 Fridolin Somers 2020-12-07 08:41:07 UTC
Pushed to 20.11.x for 20.11.01
Comment 10 Jonathan Druart 2020-12-07 16:56:13 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 11 Andrew Fuerste-Henry 2020-12-15 21:11:36 UTC
Pushed to 20.05.x for 20.05.07
Comment 12 Victor Grousset/tuxayo 2020-12-17 13:54:44 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.